package org.ow2.util.pool.impl.enhanced.api.basic;

import org.ow2.util.pool.impl.enhanced.api.PoolException;

/**
 * @author Gael Lalire
 */
public class PoolFactoryBroken extends PoolException {

    private static final long serialVersionUID = 183617037543364579L;

    private Long expireBrokenDeadline;

    public PoolFactoryBroken(final Long expireBrokenDeadline) {
        super();
        this.expireBrokenDeadline = expireBrokenDeadline;
    }

    public PoolFactoryBroken(final Long expireBrokenDeadline, final String message, final Throwable cause) {
        super(message, cause);
        this.expireBrokenDeadline = expireBrokenDeadline;
    }

    public PoolFactoryBroken(final Long expireBrokenDeadline, final String message) {
        super(message);
        this.expireBrokenDeadline = expireBrokenDeadline;
    }

    public Long getExpireBrokenDeadline() {
        return expireBrokenDeadline;
    }

}
